---
sidebar_label: resolveBuildId
---

# resolveBuildId() function

#### Signature:

```typescript
export declare function resolveBuildId(
  browser: Browser,
  platform: BrowserPlatform,
  tag: string
): Promise<string>;
```

## Parameters

| Parameter | Type                                             | Description |
| --------- | ------------------------------------------------ | ----------- |
| browser   | [Browser](./browsers.browser.md)                 |             |
| platform  | [BrowserPlatform](./browsers.browserplatform.md) |             |
| tag       | string                                           |             |

**Returns:**

Promise&lt;string&gt;
